// XXXxYYY DDD AAA rrggbb rrggbb rrggbb rrggbb
// Where XXX=Xsize YYY=YSize DDD=diamondsNeeded AAA=Max amoeba Count
// rrggbb=level color information
static const unsigned char levelTitle[]=
"020x011 000 000000 805000 A08000 FFFFFF"
".................."
"..rrr.b.....r.r..."
"...r....rrr.rrr..."
"...r..r.r.r..r...."
"...r..r.r.r..r...."
".................."
"..d.d.d.d.d.d.d..."
".................."
"..................";

static const unsigned char level1[]=
"010x010 004 000000 805000 A08000 FFFFFF"
"d...r..."
"wwwww.w."
"  wdwdw."
" B..wrw."
" ww.wrw."
"  w....x"
"  wwwwww"
"X......d";

static const unsigned char level2[]=
"007x009 005 000000 805000 A080A0 FFFFFF"
" r..d"
"Xwrw."
"rwrww"
"xd..d"
"dw.WW"
"dw.w."
"ww.d.";

static const unsigned char level3[]=
"009x008 005 000000 000080 0080A0 FFFFFF"
"xrdwd.d"
"...ww.w"
"rr wrrw"
"d. wrww"
"WX w..w"
"Wd  ...";

static const unsigned char level4[]=
"012x010 006 000000 805000 808080 FFFFFF"
"xwwwww B.w"
".r ......w"
".ww ww w.w"
".wrBww ..w"
"...B.. w w"
".www w w w"
".B     w w"
"Xww..w.wbw";

static const unsigned char level5[]=
"014x008 010 000000 805000 A08000 FFFFFF"
"ddd.d rr...."
"wwww.rwww.w."
" r...wddd.w."
".w.wwwwwwww."
" X.w...wrwr."
"dwd..x..d.d.";

static const unsigned char level6[]=
"011x008 006 000000 000080 008000 00FF00"
"xw.wx...w"
".dww.wddw"
"w..w.w..w"
"wwBw.w..w"
"d. ..b..w"
"dw w.w.dX";

static const unsigned char level7[]=
"040x015 020 000000 505050 508050 80FF80"
"x     r      d      d     d          d"
"wwwwwwww wwwwwww wwwwww wwwwww wwwwwww"
"d             d      d       .       d"
"wwwwwwww wwwwwww wwwwww wwwwww wwwwwww"
"d        wd      .           .       d"
"wwwwwwww wwwwwww wwwwww wwwwww wwwwwww"
"d        .           d  .            d"
"wwwwwwww wwwwwww wwwwww wwwwww wwwwwww"
"d             dw     d  .            d"
"wwwwwwww wwwwwww wwwwww wwwwww wwwwwww"
"d             Xw        wd           d"
"wwwwwwwwEwwwwwww wwwwww wwwwww wwwwwww"
"fffffffffffffffw wd     wd           d";

static const unsigned char level8[]=
"040x015 035 000000 505080 808000 00FF00"
"x     wd  rd   dddw b   w d d d d   bd"
"wwwwwBw.wBwBw.wBwBwBw.wBwBw.wBwBw.wBww"
"d.... .. ...w...  wrw d . wrw b r X  d"
"..... .. .r.w..w ..B... ...B.. ......."
"d  w     w..wB w ..     B..... .r....d"
".r..r ..  ..w  W ...f.. ...... ...f..."
"........    B    ..B... ..dr..     ..."
"........ wwwwwwww...... .....W     ..."
"........          b        ... d  B.d."
".....b..b...wwwwb......b......b......."
"...w. .. ...w... ..B... ...... ......."
"                                      "
"EEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEEE";

static const unsigned char level9[]=
"040x018 050 000000 005000 805000 808080"
"d..r..r......r....r......r.......... ."
"........r......rr....r.r....r...r... ."
"............d.......................b."
".r......r..r..r.r...rrr.r.r.r.r..r.. ."
"...r..r......r....r......r.......... ."
"........r......r.....r.r....r...r... ."
"..r.r.d....r.....r..r................."
".........r.....r........r..r...w......"
"..rr..r......r...............r.w......"
"...........r..r.........r......w......"
"...r.....r.....r...........r...wb   .."
".r....r.....r...wr.r....r............."
".........r......w...a................."
"..r..r.....r....w..w..w..w..w..w....rr"
".......rr............................."
".x..................................X.";

static const unsigned char level10[]=
"037x017 015 000000 505050 805000 808080"
"    d    r .   .     .d           ."
" w www w.w.w w w w w wBw w wwwwwww "
" . B  d        B         B  d x d  "
" w w www wBw w w w w w w w www.www "
"         dd   d   d  B B   wbbbbdb "
" w wdw wwwww wBw wBw w w w wbwbwBw "
"    B          w           wbbbbbb "
" w w w wBw w w w w w w w w wwwbwbw."
"      d    w  B   d                "
"Bwww www w w w w.wBwBw w w www w w "
"                 w         w       "
" w wdw w wdw w w w w w www   w.w.w."
"    B  B  B  B w   B       w       "
" X w w w www w w w w w w www w w w "
"          .  .   w   w         d   ";

/*static const unsigned char levelTest[]=
// XXXxYYY DDDD rrggbb rrggbb rrggbb rrggbb
// Where XXX=Xsize YYY=YSize DDDD=diamondsNeeded rrggbb=level color information
"022x016 003 020 000000 805000 A08000 FFFFFF"
"x.X................a"
"....r....r....r....."
"....w....w....w....."
"aa.................."
".a.................."
"....r....r....r....."
"....W....W....W....."
"...................."
"...................."
"...................."
"        w  f        "
"           f        "
"bbbbbbbbbbbbbbbbbbbb"
"bbbbbbbbbbbbbbbbbbbb";*/

/*static const unsigned char levelbd1[]=
// XXXxYYY DDDD rrggbb rrggbb rrggbb rrggbb"
// Where XXX=Xsize YYY=YSize DDDD=diamondsNeeded rrggbb=level color information
"040x022 012 000 000000 400000 800000 FF0000"
"...... ..d.r .....r.r....... ....r...."
".rxr...... .........rd..r.... ..... .."
".......... ..r.....r.r..r........r...."
"r.rr.........r......r..r....r...r....."
"r. r......... r..r........r......r.rr."
"... ..r........r.....r. r........r.rr."
"wwwwwwwwwwwwwwwwwwwwwwwwwwwwww...r..r."
". ...r..d. ..r.r..........d.rd...... ."
"..d.....r..... ........rr r..r....r..."
"...r..r.r..............r .r..r........"
".r.....r........rrr.......r.. .d....r."
".d.. ..r.  .....r.rd..d....r...r..d. ."
". r..............r r..r........d.....r"
"........wwwwwwwwwwwwwwwwwwwwwwwwwwwwww"
" r.........r...d....r.....r...r......."
" r......... r..r........r......r.rr..X"
". ..r........r.....r.  ....d...r.rr..."
"....rd..r........r......r.rd......r..."
"... ..r. ..r.rr.........r.rd...... ..r"
".d.... ..... ......... .r..r....r...r.";*/

static const unsigned char * const levels[]={
  levelTitle,
  level1, level2, level3, level4,
  level5, level6, level7, level8,
  level9, level10, NULL
};

